Bug 977117 - Review Request: nodejs-argparse - A native port of Python's argparse, an options parsing library
Review Request: nodejs-argparse - A native port of Python's argparse, an opti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 977136
Blocks: nodejs-reviews 977131
  Show dependency treegraph
 
Reported: 2013-06-23 12:48 EDT by Jamie Nguyen
Modified: 2013-07-17 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 17:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 12:48:51 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-argparse.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-argparse-0.1.15-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
A native port of Python's argparse, an options parsing library.
Comment 1 Tom Hughes 2013-07-05 19:40:54 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

[!]: Package complies to the Packaging Guidelines

- Needs ExclusiveArch
- Should use %nodejs_symlink_deps to setup test environment
- Could do with better %description (maybe second para of README.md)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 13 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Tom Hughes <tom@compton.nu>
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-argparse-0.1.15-1.fc20.noarch.rpm
nodejs-argparse.noarch: W: only-non-binary-in-usr-lib
nodejs-argparse.noarch: W: dangling-symlink /usr/lib/node_modules/argparse/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-argparse.noarch: W: dangling-symlink /usr/lib/node_modules/argparse/node_modules/underscore.string /usr/lib/node_modules/underscore.string
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-argparse
nodejs-argparse.noarch: W: only-non-binary-in-usr-lib
nodejs-argparse.noarch: W: dangling-symlink /usr/lib/node_modules/argparse/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-argparse.noarch: W: dangling-symlink /usr/lib/node_modules/argparse/node_modules/underscore.string /usr/lib/node_modules/underscore.string
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-argparse (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(underscore)
    npm(underscore.string)



Provides
--------
nodejs-argparse:
    nodejs-argparse
    npm(argparse)



Source checksums
----------------
http://registry.npmjs.org/argparse/-/argparse-0.1.15.tgz :
  CHECKSUM(SHA256) this package     : bec5fb4b07f474853cf6e5b8bbd799dd9c8b5b739c48583209965d6d18bb0ebc
  CHECKSUM(SHA256) upstream package : bec5fb4b07f474853cf6e5b8bbd799dd9c8b5b739c48583209965d6d18bb0ebc


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 977117
Comment 2 Tom Hughes 2013-07-05 19:41:20 EDT
Oh, and it can use nodejs-packaging instead of nodejs-devel.
Comment 3 Jamie Nguyen 2013-07-06 02:25:51 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-argparse.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-argparse-0.1.15-2.fc19.src.rpm

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.15-2
- improve %%description
- add ExclusiveArch
- use %%nodejs_symlink_deps --check
- BR on nodejs-packaging instead of nodejs-devel


I've made these changes for all other review requests I've opened too.
Comment 4 Tom Hughes 2013-07-06 05:49:59 EDT
Looks good. Package approved.
Comment 5 Jamie Nguyen 2013-07-06 08:36:24 EDT
New Package SCM Request
=======================
Package Name: nodejs-argparse
Short Description: A native port of Python's argparse, an options parsing library
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-07-06 18:33:19 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.